package it.micegroup.gestioneferie.libs.entity;

import it.micegroup.voila2runtime.entity.GenericEntity;
import it.micegroup.gestioneferie.libs.utilities.Constants;


/**
 * Generic class for entities
 *
 */
public abstract class BaseEntity extends GenericEntity {
	
	public abstract String getObjectKey();
	public abstract void setObjectKey(String id);
	
	protected String getRowIdFieldDelimiter() {
		return Constants.ROWIDFIELDDELIMITER;
	}
}
